summaryrefslogtreecommitdiffstats
path: root/office/semantik
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2022-08-18 08:31:11 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-08-20 10:06:41 +0700
commit7fcd52e9a2110f0384025ec5a7253ffd89d66d94 (patch)
treec5aabc236ac848a606160017be75cd56eea12698 /office/semantik
parent9d262dce78682c5a8c5fdfbcd57a5fbabaf8dbd1 (diff)
downloadslackbuilds-7fcd52e9a2110f0384025ec5a7253ffd89d66d94.tar.gz
slackbuilds-7fcd52e9a2110f0384025ec5a7253ffd89d66d94.tar.xz
office/semantik: Added (Mind Mapping Software)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/semantik')
-rw-r--r--office/semantik/README10
-rw-r--r--office/semantik/doinst.sh16
-rw-r--r--office/semantik/semantik.SlackBuild107
-rw-r--r--office/semantik/semantik.info10
-rw-r--r--office/semantik/slack-desc19
5 files changed, 162 insertions, 0 deletions
diff --git a/office/semantik/README b/office/semantik/README
new file mode 100644
index 0000000000..7dd16a0695
--- /dev/null
+++ b/office/semantik/README
@@ -0,0 +1,10 @@
+Semantik is a Mind Mapping software for KDE.
+
+Mind Maps are edited either as Flat trees
+or in two dimensions.Each node on the map can
+be associated with tables,text,pictures or diagrams.
+
+Maps are then converted to "flat" documents such
+as presentations or reports using document generators.
+This enables the rapid creation of technical
+documentation in the LaTeX, OpenOffice or Html format.
diff --git a/office/semantik/doinst.sh b/office/semantik/doinst.sh
new file mode 100644
index 0000000000..c820737506
--- /dev/null
+++ b/office/semantik/doinst.sh
@@ -0,0 +1,16 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+
+
+# Update hicolor theme cache:
+if [ -d usr/share/icons/hicolor ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+ fi
+fi
diff --git a/office/semantik/semantik.SlackBuild b/office/semantik/semantik.SlackBuild
new file mode 100644
index 0000000000..4c85df18b1
--- /dev/null
+++ b/office/semantik/semantik.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for semantik
+
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=semantik
+VERSION=${VERSION:-1.2.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./waf configure build \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --bindir=/usr/bin \
+ --python=python3
+
+DESTDIR=$PKG ./waf install --nogtkicons
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/semantik/semantik.info b/office/semantik/semantik.info
new file mode 100644
index 0000000000..1581d952d5
--- /dev/null
+++ b/office/semantik/semantik.info
@@ -0,0 +1,10 @@
+PRGNAM="semantik"
+VERSION="1.2.8"
+HOMEPAGE="https://waf.io/semantik.html"
+DOWNLOAD="https://waf.io/semantik-1.2.8.tar.bz2"
+MD5SUM="50825a45ce094da00629f93802802112"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/office/semantik/slack-desc b/office/semantik/slack-desc
new file mode 100644
index 0000000000..ce0f91beef
--- /dev/null
+++ b/office/semantik/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+semantik: semantik (Mind Mapping Software)
+semantik:
+semantik: Formerly known as kdissert, semantik is an Mind Mapping
+semantik: Application for KDE.
+semantik:
+semantik:
+semantik: Homepage:https://waf.io/semantik.html
+semantik:
+semantik:
+semantik:
+semantik: